Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/dumb-init: new aport

From: Thomas Weisshaar <thomas.weisshaar_at_gmail.com>
Date: Wed, 13 Jan 2016 01:38:06 +0100

https://github.com/Yelp/dumb-init
A minimal init system for Linux containers

---
testing/dumb-init/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
1 file changed, 34 insertions(+)
create mode 100644 testing/dumb-init/APKBUILD
diff --git a/testing/dumb-init/APKBUILD b/testing/dumb-init/APKBUILD
new file mode 100644
index 0000000..5cd0a2e
--- /dev/null
+++ b/testing/dumb-init/APKBUILD
_at__at_ -0,0 +1,34 @@
+# Contributor: Thomas Weisshaar <Thomas.Weisshaar_at_gmail.com <mailto:Thomas.Weisshaar_at_gmail.com>>
+# Maintainer: Thomas Weisshaar <Thomas.Weisshaar_at_gmail.com <mailto:Thomas.Weisshaar_at_gmail.com>>
+pkgname=dumb-init
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="A minimal init system for Linux containers"
+url="https://github.com/Yelp/dumb-init <https://github.com/Yelp/dumb-init>"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://github.com/Yelp/$pkgname/archive/v$pkgver.zip <https://github.com/Yelp/$pkgname/archive/v$pkgver.zip>"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	return 0
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+        install -m755 -D "${_builddir}/dumb-init" "${pkgdir}/usr/sbin/dumb-init" || return 1
+}
+
+md5sums="ac5fbbd194366aab8b97547f34a7b7a8  v1.0.0.zip"
+sha256sums="bad6d7184d0ead914637101ecbd2979fa08b197a3d947d5ddd1acfb5ea4994d4  v1.0.0.zip"
+sha512sums="9a6635562fc716a9319e3ea64bc02da0cebdec0e69b6887e7b67edb8681d8b9eae77f913f8429bb0e61d7301d97602dbce11b3a1af2e292bd634745da03d5489 v1.0.0.zip"
-- 
2.6.4




---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Jan 13 2016 - 01:38:06 GMT